Extend entry lock

Extends a lock for the specified DataLens entry.

Request

POST

http://<хост_on-premises>/rpc/extendEntryLock

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "entryId": "example",
  "data": {
    "lockToken": "example",
    "duration": 0.5,
    "force": true
  }
}

Name

Description

data

Type: object

duration

Type: number

New lock duration in milliseconds.

lockToken

Type: string

Token identifying the lock to extend.

Example: example

force

Type: boolean

Whether to force lock extension.

Example
{
  "lockToken": "example",
  "duration": 0.5,
  "force": true
}

entryId

Type: string

ID of the entry whose lock should be extended.

Example: example

Responses

200 OK

Response

Body

application/json
{
  "entryId": "example",
  "lockId": "example",
  "lockToken": "example",
  "expiryDate": "example",
  "login": "example"
}

Name

Description

entryId

Type: string

ID of the locked entry.

Example: example

expiryDate

Type: string

Expiration date and time of the lock.

Example: example

lockId

Type: string

Unique identifier of the lock.

Example: example

lockToken

Type: string

Token identifying the lock.

Example: example

login

Type: string

Login of the user who owns the lock.

Example: example

Предыдущая
Следующая